# Overhead

![stop sending me that xkcd article please](https://github.com/tmcw/overhead/raw/master/examples/4326.png)

Overhead is a utility for making maps in non-mercator projections
from things you've developed in [TileMill](http://mapbox.com/tilemill).

It works with **Mapnik XML** exported from TileMill **only**. Get your
XML by clicking on Project Settings, and the last thing, next to
**Advanced**, will be an option to view the Rendered XML for your project.
Right-click and save that output to a file and call it `foo.xml`
or whatever.

Then, run overhead. It takes a few options.

* `--bbox`: the bounding box. In WGS84 latitude/longitude. Like `--bbox="minx,miny,maxx,maxy`
* `--proj4`: the proj4 string for your projection. If you only know the
  EPSG code or whatever, look it up on [SpatialReference.org](http://spatialreference.org/)
  and enter the proj4 string.
* `--size`: the size in x,y. Like `--size=640,480`.
* Then it takes two 'positional arguments: the XML file input and the PNG file output.

`npm install -g overhead`

`overhead --size=1000x800 --proj4="+proj=sinu +lon_0=0 +x_0=0 +y_0=0 +a=6378140 +b=6356750 +units=m +no_defs " --bbox="-180,-90,180,90" test/default.xml examples/sinusoidal.png`

After you're done there, stop sending me that XKCD article.

## Tiles

This doesn't do tiles, because there are no agreed-upon standards for doing
tiles in non-spherical mercator projections. TMS and WMS don't count.

## License

BSD.
